uniform   mat4 u_mvpMatrix;

attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec2 a_texLay2Coord;
attribute vec2 a_texLay3Coord;
attribute vec2 a_texLay5Coord;
attribute vec2 a_lightMapCoord;

varying vec2 v_texCoord;
varying vec2 v_texLay2Coord;
varying vec2 v_texLay3Coord;
varying vec2 v_texLay5Coord;  
varying vec2 v_lightMapCoord; 

void main()
{
	gl_Position	= u_mvpMatrix * a_position;
	v_texCoord	= a_texCoord;
	v_texLay2Coord  = a_texLay2Coord;
	v_texLay3Coord  = a_texLay3Coord;
	v_texLay5Coord  = a_texLay5Coord;
	v_lightMapCoord = a_lightMapCoord;
}