uniform lowp sampler2D s_texture;
uniform lowp sampler2D s_lightMap;
uniform lowp sampler2D s_detail;
uniform lowp vec4      u_offsetColor;

varying lowp vec2 v_texCoord;
varying lowp vec2 v_detailCoord;
varying lowp vec2 v_lightMapCoord;

void main()
{
    lowp vec4 txt = texture2D(s_texture, v_texCoord);
    lowp vec4 LM  = texture2D(s_detail, v_detailCoord) * texture2D(s_lightMap, v_lightMapCoord) * u_offsetColor;
	gl_FragColor  =  txt * LM;
}
