uniform   mat4 u_mvpMatrix;

attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec2 a_detailCoord;
attribute vec2 a_lightMapCoord;

varying vec2 v_texCoord;
varying vec2 v_detailCoord;  
varying vec2 v_lightMapCoord;  

void main()
{
	gl_Position	= u_mvpMatrix * a_position;
	v_texCoord	= vec2(1.91 * a_texCoord.x + 0.3, a_texCoord.y * 1.91 + 0.3);
	v_detailCoord  = a_detailCoord;
	v_lightMapCoord = a_lightMapCoord;
}